Difficulty:

Description

System console(mkvterm) on PowerVM is not active all the time.
When is system rebooted by power_action all consoles are reset by reset_consoles.
It means that console needs to be reconnected by reconnect_mgmt_console.

Unfortunately, when is PowerVM console disconnected and connected again some valuable
information(possible errors) is lost during system shutdown

Result:
Explore possibility to have console connected all the time.

Related issues:

Related to ge-yast - coordination #54617: [functional][y][pvm][epic] Enable m... Closed 2019-07-26 2020-10-20
Related to openQA Tests - action #58220: [kernel] fadump LVM test fails Resolved 2019-10-15

Related to openQA Project - coordination #14626: [epic] backend and console c... New 2019-02-17

History

#2 - 2019-09-25 07:45 - pcervinka

- Subject changed from [kernel][functional] PowerVm console is not active all the time to [kernel][functional] PowerVM console is not active all the time

#3 - 2019-09-25 07:46 - pcervinka

- Description updated

#4 - 2019-09-27 09:00 - pcervinka
PR: https://github.com/o0s-autoinst/os-autoinst-distri-opensuse/pull/8557

#5 - 2019-09-30 07:38 - pcervinka

After disckussion with okurz, | closed PR and will prepare new better solution which contains changes to os-autoinst and test code.

#6 - 2019-10-14 10:14 - pcervinka

Returned form sicknes last week, resuming work. Will create two PRs, on for os-autoinst to selectively skip console reset for particular console based
on parameter during add_console for spvm. There will have to be parallel change for reconnect mgt console to don't start new mkvterm, but reuse
existing console.

#7 - 2019-10-14 11:36 - jlausuch

- Related to coordination #54617: [functional][y][pvm][epic] Enable more scenarios to run on powerVM Backend added

#8 - 2019-10-17 07:48 - pcervinka

PR for os-autoinst: https://github.com/os-autoinst/os-autoinst/pull/1232

#9 - 2019-10-17 12:24 - pcervinka

PR for distri: https:/github.com/os-autoinst/os-autoinst-distri-opensuse/pull/8718

#10 - 2019-10-30 11:31 - pcervinka

- Status changed from In Progress to Feedback
PRs merged, lets observe few runs on osd.

#11 - 2019-10-30 11:32 - pcervinka
- Related to action #58220: [kernel] fadump LVM test fails added

#12 - 2019-10-31 12:26 - pcervinka

- Status changed from Feedback to Resolved
Both PRs merged, restarted test with latest code looks fine https:/openga.suse.de/tests/3542703#.

#13 - 2019-11-08 14:16 - jlausuch
- Target version changed from 445 to 457

#14 - 2019-12-10 11:41 - okurz

- Related to coordination #14626: [epic] backend and console capabilities interface to increase extensibility and code reuse added

#15 - 2020-10-23 13:41 - pcervinka

- Target version changed from 457 to QE Kernel Done
